{ nixosConfig, lib, ... }:
let
  gwenview_desktop_file = "org.kde.gwenview.desktop";
in
  let
    associations = {
      "image/jpeg" = "${gwenview_desktop_file}";
    };
  in
  {
    xdg.mimeApps = lib.mkIf nixosConfig.my.desktop.enable {
      enable = true;
      associations.added = associations;
      defaultApplications = associations;
    };
  }